Name:           geglmm
Version:        0.0.22
Release:        3%{?dist}
Summary:        A graphic processing library, C++ bindings

Group:          Development/Libraries
License:        LGPLv3+
URL:            http://ftp.gnome.org/pub/gnome/sources/geglmm

Source0: http://ftp.gnome.org/pub/gnome/sources/geglmm/0.0/geglmm-%{version}.tar.bz2
# Patch submitted upstream at http://bugzilla.gnome.org/show_bug.cgi?id=571837
Patch0:  %{name}-%{version}-add-cstdio.patch
# Patch submitted upstream at http://bugzilla.gnome.org/show_bug.cgi?id=571838
Patch1:  %{name}-%{version}-kill-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gegl-devel >= 0.0.22
BuildRequires:  glibmm24-devel >= 2.18

%description
C++ binding for the GEGL graph based image processing framework.
These bindings adhere to the Gtkmm2 bindings APIs.

%package devel
Summary:        Development tools for the geglmm library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel >= 2.18
Requires:       gegl-devel >= 0.0.22
%description devel
The header files and dynamic shared libraries of the geglmm library

%prep
%setup -q
%patch0 -p1 -b .add-cstdio.patch
%patch1 -p1 -b .kill-warnings.patch

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LESSER
%{_libdir}/libgeglmm.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_libdir}/pkgconfig/geglmm.pc
%{_libdir}/geglmm-1.0
%{_libdir}/libgeglmm.so
%{_includedir}/geglmm-1.0
%exclude %{_libdir}/libgeglmm.la

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Dodji Seketeli <dodji@redhat.org> 0.0.22-2
- Use dist macro
- Give source0 with full URL
- Remove babl-devel from Requires, as gegl-devel already requires it
- Make dependency between -devel and base package be EVR specific
- Use defattr(-,root,root,-)
- Add AUTHORS COPYING COPYING.LESSER to main package
- Add ChangeLog to devel package
- Add add-cstdio.patch
- Add kill-warnings.patch

* Fri Feb 13 2009 Dodji Seketeli <dodji@redhat.org> 0.0.22-1
- Initial version of the package
